import { OCCT as BaseOCCT, OCCTWorkerManager } from "@bitbybit-dev/occt-worker";
import { Vector, Point, Line, Polyline, Verb, JSCAD, Tag, Time, TextBitByBit, OCCTW, Asset, Color, MathBitByBit, Lists, JSONBitByBit, Logic, Transforms } from "@bitbybit-dev/core";
import { Draw } from "./bitbybit/draw";
import { Context } from "./context";
import { JSCADWorkerManager } from "@bitbybit-dev/core/lib/workers/jscad/jscad-worker-manager";
import { ThreeJS } from "./bitbybit/threejs";
import { Scene } from "three";
export declare class BitByBitBase {
    context: Context;
    jscadWorkerManager: JSCADWorkerManager;
    occtWorkerManager: OCCTWorkerManager;
    math: MathBitByBit;
    logic: Logic;
    lists: Lists;
    json: JSONBitByBit;
    vector: Vector;
    three: ThreeJS;
    point: Point;
    line: Line;
    transforms: Transforms;
    polyline: Polyline;
    draw: Draw;
    verb: Verb;
    jscad: JSCAD;
    text: TextBitByBit;
    tag: Tag;
    time: Time;
    occt: OCCTW & BaseOCCT;
    asset: Asset;
    color: Color;
    constructor();
    init(scene: Scene, occt?: Worker, jscad?: Worker): void;
}
