import { Group } from "three";
import { DrawCore, Tag } from "@bitbybit-dev/core";
import * as Inputs from "../inputs";
import { Context } from "../context";
import { DrawHelper } from "../draw-helper";
export declare class Draw extends DrawCore {
    private readonly drawHelper;
    private readonly context;
    private readonly tag;
    private defaultBasicOptions;
    private defaultPolylineOptions;
    constructor(drawHelper: DrawHelper, context: Context, tag: Tag);
    drawAnyAsync(inputs: Inputs.Draw.DrawAny<Group>): Promise<Group>;
    /**
     * Draws any kind of geometry that does not need asynchronous computing, thus it cant be used with shapes coming from occt or jscad
     * @param inputs Contains options and entities to be drawn
     * @returns ThreeJS Group
     * @group draw sync
     * @shortname draw sync
     */
    drawAny(inputs: Inputs.Draw.DrawAny<Group>): Group;
    private handleJscadMesh;
    private handleJscadMeshes;
    private handleOcctShape;
    private handleOcctShapes;
    private handleLine;
    private handlePoint;
    private handlePolyline;
    private handleVerbCurve;
    private handleVerbSurface;
    private handlePolylines;
    private handleLines;
    private handlePoints;
    private handleVerbCurves;
    private handleVerbSurfaces;
    private handleTag;
    private handleTags;
    private updateAny;
    private handle;
    private handleAsync;
    private applyGlobalSettingsAndMetadataAndShadowCasting;
}
